unit MySmartTag1_IMPL;

interface

uses
  SysUtils, ComObj, ComServ, ActiveX, Variants, adxSmartTag, adxSmartTagTLB,
  MySmartTag1_TLB, Dialogs, Classes, StdVcl;

type
  TcoMySmartTag1Recognizer = class(TadxRecognizerObject, IcoMySmartTag1Recognizer)
  protected
  end;

  TcoMySmartTag1Action = class(TadxActionObject, IcoMySmartTag1Action)
  protected
  end;

  TSmartTagModule = class(TadxSmartTagModule)
    adxSmartTag1: TadxSmartTag;
    procedure adxSmartTag1Actions0Click(Sender: TObject;
      const AppName: WideString; const Target: IDispatch; const Text,
      Xml: WideString; LocaleID: Integer);
  private
  protected
  public
  end;

implementation

{$R *.dfm}

procedure TSmartTagModule.adxSmartTag1Actions0Click(Sender: TObject;
  const AppName: WideString; const Target: IDispatch; const Text,
  Xml: WideString; LocaleID: Integer);
begin
  ShowMessage('Recognized text is ' + Text);
end;

initialization
  TadxRecognizerFactory.Create(ComServer, TcoMySmartTag1Recognizer,
    CLASS_coMySmartTag1Recognizer, TSmartTagModule);

  TadxActionFactory.Create(ComServer, TcoMySmartTag1Action,
    CLASS_coMySmartTag1Action, TSmartTagModule);

end.
